#
# spec file for package octave-forge-database
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  database
Name:           octave-forge-%{octpkg}
Version:        2.4.3
Release:        lp151.3.2
Summary:        Octave plugin interfacing PostgreSQL
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch0:         add_missing_iostream_include.patch
# PATCH-FIX-OPENSUSE -- boo#1120035, pg_config is no longer in the postgresql-devel package, use pkg-config instead
Patch1:         0001-Use-pkg-config-instead-of-pg_config.patch
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
BuildRequires:  pkg-config
BuildRequires:  postgresql-devel >= 8.3
Requires:       octave-cli >= 3.6.2
Requires:       octave-forge-struct >= 1.0.12

%description
Interface to PostgreSQL databases.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
pushd %{octpkg}-%{version}
%patch1 -p1
popd
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Fri Mar 15 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add fix required after SUSE packaging change, boo#1120035
  0001-Use-pkg-config-instead-of-pg_config.patch
* Tue Mar  5 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix compilation with current GCC, add add_missing_iostream_include.patch
* Wed Aug  8 2018 jengelh@inai.de
- Compact descriptions.
* Wed Jun  6 2018 badshah400@gmail.com
- Update to version 2.4.3:
  * Octave 4.4 compatibility.
* Thu Nov 24 2016 dmitry_r@opensuse.org
- Update to version 2.4.2
  * Bug fixes.
  * Octave 4.2 compatibility.
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 2.4.1
  * Added general package documentation.
  * New functions var2bytea and bytea2var, enabling storing Octave
    values of arbitrary type in a database.
  * Compatible with Octaves new exception-based error
    handling.
* Wed May  6 2015 dmitry_r@opensuse.org
- Update to version 2.3.2
  * Fix a potential source of internal bugs.
  * Incompatible versions of postgresql (< 8.3) are rejected at
    configure time.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.3.1
